
#ifndef GRAPHICS_H
#define GRAPHICS_H

#include <Spectre/Display/Display.h>

class PlatformApplication;

class Graphics
{
public :
	enum MatrixMode {
		PROJECTION,
		MODELVIEW,
	};

	enum VertexType {
		TRIANGLES,
	};

public :
	Graphics(PlatformApplication *platform);
	~Graphics();

	bool init();

	void shutdown();

	std::string getVersion() const;

	void setDisplayMode(Display::Mode mode);

	void setSize(int width, int height);

	void setViewport(int x, int y, int width, int height);

	void setClearColor(float r, float g, float b);

	void clearBuffer();

	void swapBuffers();

protected :

	int m_width;
	int m_height;

	Display *m_display;
};

#endif /* GRAPHICS_H */
